Bug 112552 - Shape's gray background is lost after saving to PPTX
Summary: Shape's gray background is lost after saving to PPTX
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.3 target:5.3.7
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-21 14:21 UTC by Tamás Zolnai
Modified: 2017-09-25 13:35 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Shape with custom geometry defined by formulas (11.07 KB, application/vnd.oasis.opendocument.presentation)
2017-09-21 14:22 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-09-21 14:21:25 UTC
Description:
See the attached document, which contains one shape with gray background fill. After I save it into a PPTX file, the gray background is not displayed anymore. The shape's geometry is defined by formulas, which is not handled by PPTX export.

Steps to Reproduce:
1. Open attached ODP test document
2. Save it to PPTX
3. Open the saved PPTX in LO or in MSO

Actual Results:  
Gray background is lost after PPTX export.

Expected Results:
Gray background should be preserved by PPTX export.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36
Comment 1 Tamás Zolnai 2017-09-21 14:22:30 UTC
Created attachment 136434 [details]
Shape with custom geometry defined by formulas
Comment 2 Commit Notification 2017-09-22 00:30:37 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31919b8909fa7b34412dd52c3d4dff17bc5b6fab

tdf#112552: Shape's gray background is lost after saving to PPTX

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-09-24 15:25:39 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2176657ce5ff01ef9f9571e3e193908692b7f04c&h=libreoffice-5-4

tdf#112552: Shape's gray background is lost after saving to PPTX

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-09-25 13:33:36 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e7a6f1b49f9987c189dcd8df7bbe3270c5535aa&h=libreoffice-5-3

tdf#112552: Shape's gray background is lost after saving to PPTX

It will be available in 5.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.